<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    android:orientation="vertical">

    <include layout="@layout/reuse_toolbar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/content_container"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/normal_toolbar_container"
        android:background="@color/background_white"
        android:visibility="gone"
        tools:visibility="visible">

        <TextView
            android:id="@+id/hint"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/background"
            android:drawableLeft="@drawable/servers_calendar_hint"
            android:drawablePadding="4dp"
            android:paddingLeft="20dp"
            android:paddingTop="12dp"
            android:paddingRight="20dp"
            android:paddingBottom="12dp"
            android:text="开服信息仅供参考，具体请以游戏内开服为准"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/divider"
            android:layout_width="1dp"
            android:layout_height="18dp"
            android:background="@color/background"
            app:layout_constraintBottom_toBottomOf="@id/year"
            app:layout_constraintLeft_toRightOf="@id/year"
            app:layout_constraintTop_toTopOf="@id/year" />

        <TextView
            android:id="@+id/year"
            android:layout_width="wrap_content"
            android:layout_height="56dp"
            android:gravity="center"
            android:paddingLeft="24dp"
            android:paddingRight="24dp"
            android:textColor="@color/text_title"
            android:textSize="16sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@id/hint"
            tools:text="2020" />

        <TextView
            android:id="@+id/previous_month"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginLeft="24dp"
            android:gravity="center"
            android:textColor="@color/text_title"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/year"
            app:layout_constraintLeft_toRightOf="@id/year"
            app:layout_constraintTop_toTopOf="@id/year"
            tools:text="2月" />

        <TextView
            android:id="@+id/cur_month"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginLeft="16dp"
            android:background="@drawable/download_oval_hint_up"
            android:gravity="center"
            android:textColor="@color/white"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/year"
            app:layout_constraintLeft_toRightOf="@id/previous_month"
            app:layout_constraintTop_toTopOf="@id/year"
            tools:text="3月" />

        <TextView
            android:id="@+id/next_month"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:layout_marginLeft="16dp"
            android:gravity="center"
            android:textColor="@color/text_title"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@id/year"
            app:layout_constraintLeft_toRightOf="@id/cur_month"
            app:layout_constraintTop_toTopOf="@id/year"
            tools:text="4月" />

        <View
            android:id="@+id/divider_line_1"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginLeft="24dp"
            android:layout_marginRight="24dp"
            android:background="@color/divider"
            app:layout_constraintBottom_toBottomOf="@id/year"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycler_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="1dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:paddingBottom="5dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/year" />

        <View
            android:id="@+id/divider_line_2"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginLeft="24dp"
            android:layout_marginRight="24dp"
            android:background="@color/background"
            app:layout_constraintBottom_toBottomOf="@id/recycler_view"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent" />

        <TextView
            android:id="@+id/des"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:paddingLeft="24dp"
            android:paddingRight="24dp"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/recycler_view"
            tools:text="官方服：腾讯版 \n混服：九游" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <include
        android:id="@+id/include_loading"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        android:id="@+id/include_no_connection"
        layout="@layout/reuse_no_connection" />

</RelativeLayout>
